This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 987957 - [RFE] edit VM dialog - nics appear in random order (not sorted by name)
[RFE] edit VM dialog - nics appear in random order (not sorted by name)
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: nobody nobody
bugs@ovirt.org
virt
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 09:15 EDT by Alissa
Modified: 2015-03-31 04:30 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: edit VM dialog - nics should appear sorted by name Reason: Result (if any):
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-22 11:47:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
multiple nics (52.80 KB, image/png)
2013-07-24 09:15 EDT, Alissa
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17313 master ABANDONED core: sort vm nics before returning them Never

  None (edit)
Description Alissa 2013-07-24 09:15:57 EDT
Created attachment 777777 [details]
multiple nics

Description of problem:
edit VM dialog - nics appear in random order (not sorted by name)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.open edit VM dialog for more than one nic
2.nics appear in strange order

Actual results:


Expected results:
nics sorted alphabetically

Additional info:
Comment 1 Tomas Jelinek 2013-08-09 04:08:59 EDT
After the review of this patch it seems that the nics are not in random order but sorted according to the mac addresses. The reason is to have them in the same order as on the host.

@Livnat: do you thing that it is ok to have the NICs ordered according to mac addresses on FE in edit VM dialog? Or should they be ordered according to NIC name?
Comment 2 Sandro Bonazzola 2013-11-19 03:04:30 EST
Proposing this for 3.4.0.
Comment 3 lpeer 2013-12-08 10:01:23 EST
> @Livnat: do you thing that it is ok to have the NICs ordered according to
> mac addresses on FE in edit VM dialog? Or should they be ordered according
> to NIC name?

That's a good question.
According to the MAC address the engine passes the vNICs to libvirt and the first NIC is the one used as the network bootable device (in case network is specified in the boot order parameter).
In addition for RHEL and fedora guests we suspected that the MAC address order also determines the order of the NICs within the guest.

All of the above are not good reasons for sorting the NICs by MAC.
So the last call on this is that for UI we want the NICs to be ordered by their name and the first one would also be the network bootable device (at least until a full boot order could be set by the user), when passing to libvirt the NICs would still be ordered by their MAC address.

see BZ 737564 for information about NIC ordering
Comment 4 Itamar Heim 2014-02-13 13:31:17 EST
pushing to target release 3.5, assuming its not planned for 3.4 at this point...
Comment 5 Michal Skrivanek 2014-06-05 05:22:31 EDT
patch rejected -> NEW
Comment 6 Itamar Heim 2015-03-22 11:47:14 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 7 Nicolas Ecarnot 2015-03-31 04:30:41 EDT
Itamar,

I confirm this issue still is relevant.
It is key in our automated provisionning setup.
Do I have to convert my claim into a RFE (never did that...)?

Adding that https://bugzilla.redhat.com/show_bug.cgi?id=1045022 is NOT fixed, actually.

Note You need to log in before you can comment on or make changes to this bug.